ARDUINO COMMAND LINE MANUAL(1)

NAME
arduino-cli-debug - Debug Arduino sketches.

SYNOPSIS
arduino-cli debug [flags]

DESCRIPTION
Debug Arduino sketches. (this command opens an interactive gdb session)

OPTIONS
--board-options=[]
    List of board options separated by commas. Or can be used multiple times for multiple options.

--build-path=""
    Directory containing binaries for debug.

--debug-property=[]
    Override an debug property with a custom value. Can be used multiple times for multiple properties.

--discovery-timeout=1s
    Max time to wait for port discovery, e.g.: 30s, 1m

-b, --fqbn=""
    Fully Qualified Board Name, e.g.: arduino:avr:uno

-h, --help[=false]
    help for debug

-I, --info[=false]
    Show metadata about the debug session instead of starting the debugger.

--input-dir=""
    Directory containing binaries for debug.

--interpreter="console"
    Debug interpreter e.g.: console, mi, mi1, mi2, mi3

-p, --port=""
    Upload port address, e.g.: COM3 or /dev/ttyACM2

-m, --profile=""
    Sketch profile to use

-P, --programmer=""
    Programmer to use, e.g: atmel_ice

-l, --protocol=""
    Upload port protocol, e.g: serial

OPTIONS INHERITED FROM PARENT COMMANDS
--additional-urls=[]
    Comma-separated list of additional URLs for the Boards Manager.

--config-dir=""
    Sets the default data directory (Arduino CLI will look for configuration file in this directory).

--config-file=""
    The custom config file (if not specified the default will be used).

--json[=false]
    Print the output in JSON format.

--log[=false]
    Print the logs on the standard output.

--log-file=""
    Path to the file where logs will be written.

--log-format="text"
    The output format for the logs, can be: text, json

--log-level="info"
    Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic

--no-color[=false]
    Disable colored output.

EXAMPLE
      debian/build/bin/arduino-cli debug -b arduino:samd:mkr1000 -P atmel_ice /home/user/Arduino/MySketch

SEE ALSO
arduino-cli(1), arduino-cli-debug-check(1)

HISTORY
15-Aug-2026 Auto generated by spf13/cobra